Subject: Re: bug#50885: [PATCH] import: go: Recognize major version suffixes.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 Oct 2021 16:08:29 +0200

Sarah Morgensen <[email-masked]> skribis:

> Do not treat major version suffixes (such as "/v3") as repository
> subdirectories.  See <https://golang.org/ref/mod#major-version-suffixes>.
>
> * guix/import/go.scm (go-module->guix-package): When determining the
> unpack path, compare 'root-module-path' to 'module-path-sans-suffix'
> instead of 'module-path'.

Applied as well, but I feel that it may be useful to have tests for
these fine points that where regressions would otherwise be hard to
notice.

Thanks,
Ludo’.